搜索 Issues
GET/api/v5/search/issues
Request
Query Parameters
access_token string
用户授权码
page integer
当前的页码 最大为 100
per_page integer
每页的数量,最大为 50
q stringrequired
搜索关键字
sort string
排序字段,created_at(创建时间)、last_push_at(更新时间),默认为最佳匹配
order string
排序顺序 (默认:desc)
repo string
仓库路径
state string
筛选指定状态的 issues, open(开启)、closed(完成)
Responses
- 200
成功响应
Response Headers
- application/json
- Schema
- Example (auto)
- 1
- 2
Schema
- Array [
- Array [
- ]
- ]
idinteger
html_urlstring
numberstring
statestring
titlestring
bodystring
repository object
idinteger
full_namestring
human_namestring
pathstring
namestring
urlstring
owner object
avatar_urlstring
html_urlstring
idstring
loginstring
namestring
typestring
created_atstring
updated_atstring
labels object[]
object
priorityinteger
commentsinteger
parent_idinteger
[
{
"id": 0,
"html_url": "string",
"number": "string",
"state": "string",
"title": "string",
"body": "string",
"repository": {
"id": 0,
"full_name": "string",
"human_name": "string",
"path": "string",
"name": "string",
"url": "string",
"owner": {
"avatar_url": "string",
"html_url": "string",
"id": "string",
"login": "string",
"name": "string",
"type": "string"
}
},
"created_at": "string",
"updated_at": "string",
"labels": [
{}
],
"priority": 0,
"comments": 0,
"parent_id": 0
}
]
成功示例
{
"id": 548499,
"html_url": "https://gitcode.com/youlai/vue3-element-admin/issues/1",
"number": "1",
"state": "open",
"title": "test",
"body": "test",
"repository": {
"id": 3771502,
"full_name": "youlai/vue3-element-admin",
"human_name": "有来开源组织 / vue3-element-admin",
"path": "vue3-element-admin",
"name": "vue3-element-admin",
"url": "https://gitcode.com/youlai/vue3-element-admin",
"owner": {
"avatar_url": "https://cdn-img.gitcode.com/fc/ae/3f96c31289ae838297c61f385af9c2e6357216a1906205f56d50f3e268319d8b.png?time=1724590827689",
"html_url": "https://gitcode.com/u013737132",
"id": "6553a045ac27540b6bfcb436",
"login": "u013737132",
"name": "有来技术",
"type": "User"
}
},
"created_at": "2024-11-07T18:11:23+08:00",
"updated_at": "2024-11-07T18:11:23+08:00",
"labels": [],
"priority": 0,
"comments": 0,
"parent_id": 0
}
成功示例
{
"id": 518776,
"html_url": "https://gitcode.com/openUBMC-test/openubmc-ci/issues/4",
"number": "4",
"state": "open",
"title": "test_1",
"body": "11111",
"repository": {
"id": 4261097,
"full_name": "openUBMC-test/openubmc-ci",
"human_name": "openUBMC-test / openubmc-ci",
"path": "openubmc-ci",
"name": "openubmc-ci",
"url": "https://gitcode.com/openUBMC-test/openubmc-ci",
"owner": {
"avatar_url": "https://cdn-img.gitcode.com/fd/ab/256f0d7a9b2b771a883a9a2975f6bb8804dbcc53df334a63a508306f86fe6c2c.jpg",
"html_url": "https://gitcode.com/levi3053",
"id": "671af08b9a767f4c7b6b0681",
"login": "levi3053",
"name": "BellllllYu@N.L¡",
"type": "User"
}
},
"created_at": "2024-11-01T14:12:21+08:00",
"updated_at": "2024-11-01T14:15:00+08:00",
"labels": [],
"priority": 0,
"comments": 2,
"parent_id": 0
}